worker_processes  auto;

error_log  /dev/stdout info;
pid        /var/run/nginx.pid;


events {
     worker_connections  1024;
}

env UUID;
env MYSQL_HOST;
env MYSQL_PORT;
env MYSQL_DATABASE;
env MYSQL_USER;
env MYSQL_PASSWORD;
env MYSQL_CHARSET;

http {
    include        mime.types;
    default_type  application/octet-stream;
    log_format  main  '$remote_addr - $remote_user [$time_iso8601] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';
    access_log  /dev/stdout main;
    sendfile          on;
    keepalive_timeout  65;
    lua_package_path      '/scripts/?.lua;;';
    lua_code_cache on;
    lua_shared_dict cache 64m;
    lua_shared_dict key_set 4M;
     
    resolver 8.8.8.8;
     
    init_worker_by_lua_block {
        require("worker").sync_token_job()
    }     

    server {
        listen                  80 default_server;
        listen                  [::]:80 default_server;
        server_name            _;
        charset                 utf-8;

        location / {
            root   html;
            index  index.html index.htm;
        }

        location /falcon/vm/fly {
            access_by_lua_block {
               require("limiter").process()
            }
            proxy_redirect off;            
            proxy_pass http://127.0.0.1:10000;
            proxy_http_version 1.1;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection upgrade;
            proxy_set_header Host $http_host;
        }

        location /falcon/vl/fly {
            access_by_lua_block {
               require("limiter").process()
            }
            proxy_redirect off;
            proxy_pass http://127.0.0.1:20000;
            proxy_http_version 1.1;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection upgrade;
            proxy_set_header Host $http_host;
        }
    }
}